Could not load requested class : org.hibernate.ejb.event.EJB3PostInsertEventListener,org.hibernate.envers.event.AuditEventListener

Could not load requested class : org.hibernate.ejb.event.EJB3PostInsertEventListener,org.hibernate.envers.event.AuditEventListener — такое исключение может возникнуть при работе с Hibernate Envers версий 4+.

При использовании Hibernate <4.0 в настройках для Hibernate Envers указывается следующее:

Для версий Hibernate Envers 4.0+ такие настройки в конфигурации spring-context.xml или persistence.xml больше не работают, т.к. больше не нужно указывать

Т.е. нужно оставить только такой вариант (пример взят из статьи Hibernate Envers – отслеживание версий):

 

Share Button
0
818 Total Views 1 Views Today

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *

*